Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 2258

Summary: There is no default conf.modules
Product: [Retired] Red Hat Linux Reporter: Marc MERLIN <marc_soft>
Component: initscriptsAssignee: Bill Nottingham <notting>
Status: CLOSED DEFERRED QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0CC: ruff, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-08-18 21:22:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Marc MERLIN 1999-04-19 00:54:08 UTC
I really believe you guys should provide some default
/etc/conf.modules.
This is especially true for 2.2 kernels and modules like
af_packet, which definitely don't load by themselves.

Here is part of my file (which could definitely be improved
on):

# Note that modprobe has some default aliases built in
("modprobe -c").
# The built-in aliases will be overridden by any definitions
in this file.

alias block-major-11 sr_mod
alias char-major-9 st
alias ppp0 ppp_deflate
alias ppp1 ppp_deflate
alias ppp2 ppp_deflate
alias ppp3 ppp_deflate
#alias ppp-compress-1  off	# Predictor-1, not yet supported
alias ppp-compress-21 bsd_comp
alias ppp-compress-24 ppp_deflate
#alias ppp-compress-26 ppp_deflate
alias tunl0 new_tunnel
alias tunl1 new_tunnel
alias tunl2 new_tunnel
alias tunl3 new_tunnel
alias dummy0 dummy
alias dummy1 dummy
alias dummy2 dummy
alias dummy3 dummy
alias char-major-6 lp
alias binfmt-332 iBCS
alias block-major-7 loop
alias parport_lowlevel parport_pc
alias net-pf-17 af_packet
alias net-pf-3 off      # no ax25 module available (yet)
alias net-pf-4 ipx
alias net-pf-5 appletalk

Comment 1 Bill Nottingham 1999-04-19 15:09:59 UTC
the installer writes some default entries if you do a base
install. (alias parport_lowlevel parport_pc, for example).

Comment 2 David Lawrence 1999-05-18 20:36:59 UTC
Thank you for the suggestion. It is being forwarded to a developer for
further review.

Comment 3 Adam Spiers 1999-07-05 12:46:59 UTC
The ppp-compress aliases seem to be necessary for avoiding

  can't locate module ppp-compress-2[146]

syslog errors.

Comment 4 Cristian Gafton 1999-07-28 07:30:59 UTC
assigned to notting

Comment 5 ruff 1999-08-06 01:56:59 UTC
If a ppp peer has compression capabilities, pppd will negotiate with
the peer for compression if the kernel can provide compression in the
ppp driver.  Adding the following to /etc/modules.conf will result in
better ppp performace (if supported on the peer side).

alias ppp-compress-21 bsd_comp
alias ppp-compress-26 ppp_deflate
alias ppp-compress-24 ppp_deflate

Thanks,

Chris Ruffin

Comment 6 Bill Nottingham 1999-08-18 21:22:59 UTC
we're looking at adding more default entries in the future.